#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"
#include "bridge.h"

class CClipboard
{
public:
    CClipboard();
    virtual ~CClipboard();

    bool isEmpty();

    void copyFromMap(CVec2 mousePos, CVec2 mSize, ETabIndex tabIndex);
    void copyToMap(CVec2 mousePos, ETabIndex index);
    void copyFromClip(CClipboard* src);

    CVec2   mSize;
    ETabIndex   mType; // tile for a single tile or a rectangle, wall for a single wall, object for a single object...
    EWallSide   mSide; // for a single wall
    CVec2   mObjPos;   // for a single oject stack

private:
    void    clear();

    CTile*      mMem;
    std::vector<CObjectStack>   mObjectsStacks;
};

#endif // CLIPBOARD_H
