#ifndef RECTANGLES_H
#define RECTANGLES_H

#include <QImage>
#include <QColor>
#include "../common/sources/system/cmaths.h"
#include "bridge.h"

class Rectangles
{
public:
    void        drawCursor(QImage* image, CVec2 mousePos, ETabIndex tabIndex);
    void        drawSelection(QImage* image, ETabIndex tabIndex);
    void        drawPasteSelection(QImage* image);

private:
    void        drawTileRect(QImage* image, CVec2 mousePos, QColor color);
    void        drawWallRect(QImage* image, CVec2 mousePos, QColor color);
    void        drawObjectRect(QImage* image, CVec2 mousePos, QColor color);
    void        drawTileSelection(QImage* image);
    void        drawWallSelection(QImage* image);
    void        drawObjectSelection(QImage* image);
    void        drawRectangleSelection(QImage* image, CRect rect);
};

extern Rectangles   rectangles;

#endif // RECTANGLES_H
