#ifndef TILES_H
#define TILES_H

#include <QString>
#include "../common/sources/system/cmaths.h"
#include "walls.h"

enum ETilesTypes
{
    eTileEmpty = 0,
    eTileGround,
    eTileDoor,
    eTilePressPlate
};

class CTiles
{
public:
    struct COrnateElement
    {
        QString image;
        CVec2   pos;
    };

    struct COrnateData
    {
        QString name;
        COrnateElement table[WALL_TABLE_HEIGHT][(WALL_TABLE_WIDTH + 1) / 2];
    };

    CTiles();
    virtual ~CTiles();

    void    initMap();
    void    drawFloorOrnate(QImage* image, CVec2 tablePos, int ornate);
    void    readFloorOrnatesDB();
    void    readTilesDB();
    void    updatePressPlates();

    std::vector<COrnateData>  ornatesDatas;

private:
    bool*   pressPlateStates;
};

extern CTiles   tiles;

#endif // TILES_H
